#ifndef _fencer_collision_h
#define _fencer_collision_h

#include "shape.h"
#include "physics_entity.h"
#include "rigidbody.h"
#include "physics.h"

typedef struct Collider Collider;

extern Collision collision_invert(Collision src, Collider* new_other);
extern int collision_check(Collider* a, Collider* b, Collision* out_a, Collision* out_b);
extern int overlap_check(PhysicsQuery query, Collider* collider);

#endif // !_fencer_collision_h
